import 'package:hamachi/src/hamachi_network.dart';

class HamachiComputer{
  String name;
  String id;
  String ipv4;
  String alias;
  String ipv6;
  String type;
  String protocol;
  String proxy;
  HamachiNetwork network;
  HamachiComputer();
  factory HamachiComputer.fromMatch(RegExpMatch match){
    var computer = HamachiComputer();
    computer.name = match.namedGroup('name').trim();
    computer.id = match.namedGroup('id').trim();
    computer.ipv4 = match.namedGroup('ipv4').trim();
    computer.alias = match.namedGroup('alias').trim();
    if (match.namedGroup('ipv6')!=null){
      computer.ipv6 = match.namedGroup('ipv6').trim();
    }
    if (match.namedGroup('type')!=null){
      computer.type = match.namedGroup('type').trim();
    }
    if (match.namedGroup('protocol')!=null){
      computer.protocol = match.namedGroup('protocol').trim();
    }
    if (match.namedGroup('proxy')!=null){
      computer.proxy = match.namedGroup('proxy').trim();
    }
    // print(computer);
    return computer;
  }
  @override
  String toString(){
    return 'HamachiComputer: ${name} ${id} ${ipv4} ${alias} ${ipv6} ${type} ${protocol} ${proxy} ${network}';
  }
}